uniform sampler2D Texture0;
varying vec3 matrix; 
varying vec3 lichtvektor; 
varying vec3 normale; 
varying vec4 FrontColor;


void main(void) 
{
	vec3 augpunkt = normalize(-matrix);
	vec3 normal = normalize(normale);
	vec3 lightvec = normalize(lichtvektor);
	vec3 reflexion = normalize(reflect(-normalize(lichtvektor), normal));
	
	vec4 ambientTerm = gl_LightSource[0].ambient * gl_FrontMaterial.ambient;
	vec4 diffuseTerm = gl_LightSource[0].diffuse * max(dot(normal, lightvec), 0.0) * gl_FrontMaterial.diffuse;
	vec4 specularTerm = gl_LightSource[0].specular * pow(clamp(dot(reflexion, augpunkt), 0.0 ,1.0), gl_FrontMaterial.shininess) * gl_FrontMaterial.specular;
		
gl_FragColor = vec4(specularTerm + ambientTerm + diffuseTerm) * texture2D(Texture0, vec2(gl_TexCoord[0]));

}
